Bug 525628 - [pa_IN][CodePoint]"U+0A33" need press backspace key twice to delete the whole char
Summary: [pa_IN][CodePoint]"U+0A33" need press backspace key twice to delete the whole...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pango
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 501277
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-25 06:37 UTC by A S Alam
Modified: 2013-07-03 00:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 501277
Environment:
Last Closed: 2009-12-21 07:08:29 UTC


Attachments (Terms of Use)

Description A S Alam 2009-09-25 06:37:23 UTC
Clone for Rawhide (Fedora 12) with following Package:
----
pango-1.26.0-1.fc12.x86_64
lohit-punjabi-fonts-2.4.3-1.fc12.noarch
-----

+++ This bug was initially created as a clone of Bug #501277 +++

Description of problem:
When input U+0A33 ਲ਼ in gedit, we need to press Backspace key
twice to delete the whole char.


Version-Release number of selected component (if applicable):
pangomm-2.14.1-1.fc10.x86_64
pango-1.22.3-1.fc10.i386
pango-1.22.3-1.fc10.x86_64
pango-devel-1.22.3-1.fc10.x86_64


How reproducible:
always

Steps to Reproduce:
1.Select "RAW CODE" in scim-bridge
2.Input U+0A33 in gedit.
3.Press Backspace key to delete the whole char.

Actual results:
We need press backspce key twice to delete the whole char.

Expected results:
We should press backspace key only one time to delete the whole char.

Additional info:
U+0A33 ਲ਼

--- Additional comment from xinsun@redhat.com on 2009-05-18 07:00:19 EDT ---

[pa_IN][CodePoint]
U+0A36 ਸ਼
U+0A59 ਖ਼
U+0A5A ਗ਼
U+0A5B ਜ਼
U+0A5E ਫ਼
have the same problem.

Comment 1 Bug Zapper 2009-11-16 12:53:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Parag Nemade 2009-12-21 07:08:29 UTC
Please have a look at Unicode data file http://www.unicode.org/Public/5.2.0/ucd/CompositionExclusions.txt where its clearly said that U0A33 need more than one backspace key to delete whole character.


Note You need to log in before you can comment on or make changes to this bug.